Bug 1856747 (CVE-2020-14315) - CVE-2020-14315 bsdiff: handling external inputs allows attacker to bypass sanity checks
Summary: CVE-2020-14315 bsdiff: handling external inputs allows attacker to bypass san...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2020-14315
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1856748 1856749
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-14 11:24 UTC by Dhananjay Arunesh
Modified: 2020-09-11 16:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-14 13:28:00 UTC


Attachments (Terms of Use)

Description Dhananjay Arunesh 2020-07-14 11:24:09 UTC
A memory corruption vulnerability is present in bspatch as shipped in
Colin Percival’s bsdiff tools version 4.3. Insufficient checks when
handling external inputs allows an attacker to bypass the sanity
checks in place and write out of a dynamically allocated buffer
boundaries.

References:
https://www.openwall.com/lists/oss-security/2020/07/09/2

Comment 1 Dhananjay Arunesh 2020-07-14 11:24:45 UTC
Created bsdiff tracking bugs for this issue:

Affects: epel-6 [bug 1856749]
Affects: fedora-all [bug 1856748]

Comment 2 Product Security DevOps Team 2020-07-14 13:28:00 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.